#
# spec file for package python-senlinclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-senlinclient
Version:        1.10.1
Release:        1.10
Summary:        Python API and CLI for OpenStack Senlin
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/python-senlinclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-senlinclient/python-senlinclient-1.10.1.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-Babel
BuildRequires:  python2-PrettyTable
BuildRequires:  python-PyYAML
BuildRequires:  python2-fixtures
BuildRequires:  python2-heatclient
BuildRequires:  python2-mock
BuildRequires:  python2-openstackclient
BuildRequires:  python2-openstacksdk
BuildRequires:  python2-osc-lib
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-requests
BuildRequires:  python2-requests-mock
BuildRequires:  python2-stestr
BuildRequires:  python3-Babel
BuildRequires:  python3-PrettyTable
BuildRequires:  python3-PyYAML
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures
BuildRequires:  python3-heatclient
BuildRequires:  python3-mock
BuildRequires:  python3-openstackclient
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-requests
BuildRequires:  python3-requests-mock
BuildRequires:  python3-stestr
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-PyYAML
Requires:       python-heatclient
Requires:       python-keystoneauth1
Requires:       python-openstackclient
Requires:       python-openstacksdk
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
OpenStack Clustering service Provisioning API Client Library

This is a client for the OpenStack Senlin API.
It provides a Python API (the senlinclient module).

%package -n python-senlinclient-doc
Summary:        Documentation for OpenStack Senlin API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno

%description -n python-senlinclient-doc
This is a client for the OpenStack Senlin API.
It implements 100% of the OpenStack Senlin API. This package contains
auto-generated documentation.

%prep
%autosetup -p1 -n python-senlinclient-1.10.1
%py_req_cleanup

%build
%{python_build}

%{__python2} setup.py build_sphinx
PBR_VERSION=%version sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/senlinclient
%{python_sitelib}/*.egg-info

%files -n python-senlinclient-doc
%license LICENSE
%doc doc/build/html

%changelog
